package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分群客户关联关系,导入的企业与商户客群用户存放在这里对象 sys_group_business
 * 
 * @author ruoyi
 * @date 2024-10-29
 */
public class SysGroupMerchant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 分群id */
    private String groupId;

    /** 客户号 */
//    @Excel(name = "客户号*")
    private String custId;

    /** 企业/商户名称 */
    @Excel(name = "商户名称*")
    private String custName;

//    @Excel(name = "证件类型",combo ="居民二代身份证,居民身份证,港澳居民来往内地通行证,台湾居民来往大陆通行证,外国人永久居留身份证" )
    private String idType;

    /** 法人身份证号 */
//    @Excel(name = "证件号*")
    private String custIdc;

    /** 导入用户的部门id */
    @Excel(name = "推送支行机构ID")
    private Long deptId;

    /** 客户经理id */
    private Long userId;

    /** 删除标志(0代表存在，2代表删除) */
    private String delFlag;

    /** 推送状态(0代表未推送，1代表推送成功，2代表推送失败) */
    private String pushStatus;

    /** 客户手机号 */
    @Excel(name = "联系方式")
    private String custPhone;

    /** 归属一级网格名称 */
    private String gridName;

    /** 归属客户经理姓名 */
    private String userName;

    /** 客户内码 */
    private String custIsn;

    /** 归属机构 */
    private String deptName;

    /** 归属二级网格名称 */
    private String gridName2;

    private String outlets;

    /** 法人姓名 */
//    @Excel(name = "客户姓名(经营者)*")
    private String lpName;

    /** 统一社会信用识别码 */
    @Excel(name = "统一社会信用识别码*")
    private String socialCreditCode;
//    @Excel(name = "商户证件类型*(营业执照)")
    private String socialCreditCodeType;
    @Excel(name = "推送柜员ID")
    private String tellerId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGroupId(String groupId) 
    {
        this.groupId = groupId;
    }

    public String getGroupId() 
    {
        return groupId;
    }
    public void setCustId(String custId) 
    {
        this.custId = custId;
    }

    public String getCustId() 
    {
        return custId;
    }
    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }



    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setPushStatus(String pushStatus) 
    {
        this.pushStatus = pushStatus;
    }

    public String getPushStatus() 
    {
        return pushStatus;
    }
    public void setCustPhone(String custPhone) 
    {
        this.custPhone = custPhone;
    }

    public String getCustPhone() 
    {
        return custPhone;
    }
    public void setGridName(String gridName)
    {
        this.gridName = gridName;
    }

    public String getGridName()
    {
        return gridName;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCustIsn(String custIsn) 
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn() 
    {
        return custIsn;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setGridName2(String gridName2) 
    {
        this.gridName2 = gridName2;
    }

    public String getGridName2() 
    {
        return gridName2;
    }
    public void setLpName(String lpName) 
    {
        this.lpName = lpName;
    }

    public String getLpName() 
    {
        return lpName;
    }
    public void setSocialCreditCode(String socialCreditCode) 
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getSocialCreditCodeType() {
        return socialCreditCodeType;
    }

    public void setSocialCreditCodeType(String socialCreditCodeType) {
        this.socialCreditCodeType = socialCreditCodeType;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("groupId", getGroupId())
            .append("custId", getCustId())
            .append("custName", getCustName())
            .append("custIdc", getCustIdc())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("pushStatus", getPushStatus())
            .append("custPhone", getCustPhone())
            .append("gridName", getGridName())
            .append("userName", getUserName())
            .append("custIsn", getCustIsn())
            .append("deptName", getDeptName())
            .append("gridName2", getGridName2())
            .append("lpName", getLpName()).append("outlets", getOutlets())
            .append("socialCreditCode", getSocialCreditCode()).append("idType",getIdType()).append("tellerId",getTellerId())
                .append("socialCreditCodeType",getSocialCreditCodeType())
            .toString();
    }
}
